Bug 110810 - CAN-2002-1565 Wget buffer overflow
CAN-2002-1565 Wget buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: wget (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
http://marc.theaimsgroup.com/?l=bugtr...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 11:37 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-10 11:48:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-11-24 11:37:04 EST
A buffer overflow in the url_filename function for wget 1.8.1 allows
attackers to cause a segmentation fault via a long URL. Red Hat does not
believe that this issue is exploitable to allow an attacker to be able
to run arbitrary code. The Common Vulnerabilities and Exposures project
(cve.mitre.org) has assigned the name CAN-2002-1565 to this issue.

RHSA-2003:372 in progress
Comment 1 Mark J. Cox (Product Security) 2003-12-10 11:48:36 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-372.html

Note You need to log in before you can comment on or make changes to this bug.